package com.xhpc.charging.station.mapper;

import com.xhpc.common.domain.Requirement;
import com.xhpc.common.domain.RequirementTask;
import com.xhpc.common.domain.RequirementTime;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @Date 2025-07-11 16:00
 */
public interface XhpcRequirementMapper {

    List<Map<String,Object>> getLsit(@Param("params") Map<String, Object> params);

    Map<String, Object> getRequirementById(@Param("requirementId")Long requirementId);

    List<Map<String,Object>> getTaskList(@Param("params") Map<String, Object> params);

   Map<String,Object> getRequirementTaskById(@Param("requirementTaskId")Long requirementTaskId);

   int updateTaskById(@Param("requirementTaskId")Long requirementTaskId,@Param("status")Integer status);
    List<Map<String,Object>> getRequirementTimeList(@Param("requirementId")Long requirementId,@Param("requirementTaskId")Long requirementTaskId);

    int addRequirement(Requirement requirement);

    int addRequirementTime(RequirementTime requirementTime);

    int addRequirementTask(RequirementTask requirementTask);
}
